## pianobar 1.1-1

=== debian/changelog ===
pianobar (1.1-1) fremantle; urgency=low

  * prepared package for extras-devel.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 24 Jan 2010 12:45:00 -0700

pianobar (1.1-0) fremantle; urgency=low

  * fixed pianobar to work with new pandora.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 22 Jan 2010 07:11:00 -0700
 

pianobar (1.0-3) fremantle; urgency=low

  * Added proper man page
  * optified package
  * Made debian package lintian clean.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 21 Jan 2010 17:50:00 -0700

pianobar (1.0-2) fremantle; urgency=high

  * Moved config to /etc/config
  * modified postinst script to copy config to /home/user if no config exists
  * fixed problem with package trying to remove home directory

 -- FatalSaint <maemo@linuxniche.com>  Mon, 18 Jan 2010 22:00:00 -0700

pianobar (1.0-1) fremantle; urgency=low

  * Created initial debian package.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 18 Jan 2010 20:00:00 -0700 

## pianobar 1.1-2

=== debian/changelog ===
pianobar (1.1-2) fremantle; urgency=low

  * fixed problem in postinst script that caused user config to be owned by
    root.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 24 Jan 2010 12:45:00 -0700

## pianobar 1.1-3

=== debian/changelog ===
pianobar (1.1-3) fremantle; urgency=low

  * fixed previous version chown command for proper group.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 29 Jan 2010 10:00:00 -0700

## pianobar 1.2-7

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE pianobar)
project (${PACKAGE} C)

add_subdirectory (libpiano)
add_subdirectory (libwardrobe)
add_subdirectory (libwaitress)
add_subdirectory (libezxml)
add_subdirectory (src)

=== libezxml/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libezxml")
project (${PACKAGE} C)

add_subdirectory (src)

=== libpiano/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libpiano")
project (${PACKAGE} C)

add_subdirectory (src)

=== libwaitress/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libwaitress")
project (${PACKAGE} C)

add_subdirectory (src)

=== libwardrobe/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libwardrobe")
project (${PACKAGE} C)

add_subdirectory (src)

=== src/CMakeLists.txt ===
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
set (CMAKE_C_FLAGS -Wall)
set (ENABLE_MAD 0)
set (ENABLE_FAAD 0)
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin CACHE PATH "bin path")
set (MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man CACHE PATH "man path")
set (ETC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/etc CACHE PATH "etc path")
# This removes a warning on newer versions of cmake
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

option (USE_FAAD "Use libfaad for aac decoding (if available)" on)
option (USE_MAD "Use libmad for mp3 decoding (if available)" on)

find_package (LibAo REQUIRED)

# find threading implementation
find_package (Threads REQUIRED)
if (NOT CMAKE_USE_PTHREADS_INIT)
	message (FATAL_ERROR "pthread is currently required")
endif (NOT CMAKE_USE_PTHREADS_INIT)

# check for libm
find_library (LIBM m)
if (NOT LIBM)
	message (FATAL_ERROR "libm is required")
endif (NOT LIBM)

# check for audio decoding library
find_package (Faad)
find_package (Mad)

if (FAAD_FOUND AND USE_FAAD)
	message (STATUS "Found libfaad, enabling aac decoding")
	set (ENABLE_FAAD 1)
elseif (FAAD_FOUND AND NOT USE_FAAD)
	message (STATUS "Found libfaad, but disabling aac decoding by request")
elseif (NOT FAAD_FOUND AND USE_FAAD)
	message (STATUS "libfaad not found but requested")
endif (FAAD_FOUND AND USE_FAAD)

if (MAD_FOUND AND USE_MAD)
	message (STATUS "Found libmad, enabling mp3 decoding")
	set (ENABLE_MAD 1)
elseif (MAD_FOUND AND NOT USE_MAD)
	message (STATUS "Found libmad, but disabling mp3 decoding by request")
elseif (NOT MAD_FOUND AND USE_MAD)
	message (STATUS "libmad not found but requested")
endif (MAD_FOUND AND USE_MAD)

# check whether faad and/or mad are available and enabled
if (NOT ENABLE_FAAD AND NOT ENABLE_MAD)
	message (FATAL_ERROR "libmad and/or libfaad are required.")
endif (NOT ENABLE_FAAD AND NOT ENABLE_MAD)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories (
	${pianobar_SOURCE_DIR}/libpiano/src
	${pianobar_SOURCE_DIR}/libwardrobe/src
	${pianobar_SOURCE_DIR}/libwaitress/src
	${CMAKE_CURRENT_BINARY_DIR}
	${FAAD_INCLUDE_DIRS} ${LIBAO_INCLUDE_DIRS}
	${MAD_INCLUDE_DIRS})

add_executable (pianobar main.c terminal.c settings.c player.c ui.c ui_act.c
	ui_readline.c)
target_link_libraries (pianobar piano wardrobe waitress ${FAAD_LIBRARIES}
	${LIBAO_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MAD_LIBRARIES} ${LIBM})

install (TARGETS pianobar RUNTIME DESTINATION ${BIN_INSTALL_DIR})
install (FILES pianobar.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
install (FILES config DESTINATION ${ETC_INSTALL_DIR}/pianobar)

=== libezxml/src/CMakeLists.txt ===
set (CMAKE_C_FLAGS -Wall)

add_library (ezxml STATIC ezxml.c)
target_link_libraries (ezxml)

=== libpiano/src/CMakeLists.txt ===
set (CMAKE_C_FLAGS -Wall)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../libwaitress/src
        ${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/../../libezxml/src)

add_library (piano STATIC crypt.c http.c piano.c xml.c)
target_link_libraries (piano waitress ezxml)

=== libwaitress/src/CMakeLists.txt ===
INCLUDE (CheckFunctionExists)
INCLUDE (CheckLibraryExists)

set (CMAKE_C_FLAGS -Wall)
set (EXTRA_LIBS "")

# required on sunos
CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
	IF(NOT CMAKE_HAVE_CONNECT)
		CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
		IF (CMAKE_LIB_SOCKET_HAS_CONNECT)
			SET (EXTRA_LIBS -lsocket)
		ENDIF (CMAKE_LIB_SOCKET_HAS_CONNECT)
ENDIF(NOT CMAKE_HAVE_CONNECT)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

add_library (waitress STATIC waitress.c)
target_link_libraries (waitress ${EXTRA_LIBS})

=== libwardrobe/src/CMakeLists.txt ===
set (CMAKE_C_FLAGS -Wall)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
	${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../libwaitress/src
  ${CMAKE_CURRENT_BINARY_DIR} )

add_library (wardrobe STATIC wardrobe.c md5.c)
target_link_libraries (wardrobe waitress)

## pianobar 1.1-4

=== debian/changelog ===
pianobar (1.1-4) fremantle; urgency=low

  * fixed another command for proper chown.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 29 Jan 2010 10:00:00 -0700

=== debian/control ===
Source: pianobar
Section: user/multimedia
Priority: extra
Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pianobar
Architecture: armel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
Description: A Pandroa Client
 ========
 pianobar is a console client for the personalized web radio pandora
 (http://www.pandora.com).
 - play and manage (create, add more music, delete, rename, ...) your stations
 - rate played songs and let pandora explain why they have been selected
 - show upcoming songs
 - configure key bindings
 - last.fm scrobbling support (currently unmaintained)
 - proxy support for listeners outside the USA
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/pianobar" install
	mkdir -p "$(CURDIR)/debian/pianobar"

#	mkdir -p "$(CURDIR)/debian/pianobar/usr/bin/"
	cp -a "src/usr/bin/pianobar" "$(CURDIR)/debian/pianobar/usr/bin/pianobar"
	mkdir -p "$(CURDIR)/debian/pianobar/etc/pianobar/"
	cp -a "src/etc/pianobar/config" "$(CURDIR)/debian/pianobar/etc/pianobar/config"
	mkdir -p "$(CURDIR)/debian/pianobar/opt/pianobar/"
	cp -a "src/opt/pianobar/pianobar" "$(CURDIR)/debian/pianobar/opt/pianobar/pianobar"
	mkdir -p "$(CURDIR)/debian/pianobar/usr/share/man/man1/"
	cp -a "src/usr/share/man/man1/pianobar.1.gz" "$(CURDIR)/debian/pianobar/usr/share/man/man1/pianobar.1.gz"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pianobar 1.2-1

=== debian/changelog ===
pianobar (1.2-1) fremantle; urgency=low

  * Updated to latest pianobar.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: armel
+Architecture: i386
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandroa Client
  ========
@@ -18,4 +18,3 @@
  - configure key bindings
  - last.fm scrobbling support (currently unmaintained)
  - proxy support for listeners outside the USA
-XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## pianobar 1.2-2

=== debian/changelog ===
pianobar (1.2-2) fremantle; urgency=low

  * Incremented version to get autobuilder to accept armel package.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: i386
+Architecture: armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandroa Client
  ========

## pianobar 1.2-3

=== debian/changelog ===
pianobar (1.2-3) fremantle; urgency=low

  * Fixed a typo in the control file description.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: pianobar
 Architecture: armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
-Description: A Pandroa Client
+Description: A Pandora Client
  ========
  pianobar is a console client for the personalized web radio pandora
  (http://www.pandora.com).

## pianobar 1.2-4

=== debian/changelog ===
pianobar (1.2-4) fremantle; urgency=low

  * Properly submitted source to auto-builder for armel and i386.

 -- FatalSaint <maemo@linuxniche.com>  Sun, 31 Jan 2010 10:00:00 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	/usr/bin/cmake .
	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/pianobar install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify pianobar
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## pianobar 1.2-5

=== debian/changelog ===
pianobar (1.2-5) fremantle; urgency=low

  * Added remove in postinst to clean up old pianobar config files.
  * Changed pianobar to build properly to /usr

 -- FatalSaint <maemo@linuxniche.com>  Tue, 09 Feb 2010 10:00:00 -0700

## pianobar 1.2-6

=== debian/changelog ===
pianobar (1.2-6) fremantle; urgency=low

  * fixed postinst to copy from proper location.

 -- FatalSaint <maemo@linuxniche.com>  Tue, 09 Feb 2010 12:00:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: armel
+Architecture: i386 armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandora Client
  ========

## pianobar 1.2-7

=== debian/changelog ===
pianobar (1.2-7) fremantle; urgency=low

  * Added CLI image and bug tracker field.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 13 Feb 2010 20:00:00 -0700

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,62 @@
  - configure key bindings
  - last.fm scrobbling support (currently unmaintained)
  - proxy support for listeners outside the USA
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=42104
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=

## pianobar 2.0-0

=== debian/changelog ===
pianobar (2.0-0) fremantle; urgency=low

  * Updated pianobar API, updated pianobar to version 27ed89f, lost last.fm
    support.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 19 Apr 2010 17:02:00 -0700

## pianobar 2.0-1

=== debian/changelog ===
pianobar (2.0-1) fremantle; urgency=low

  * Simple version change to try and get the build system to work.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 19 Apr 2010 17:02:00 -0700

## pianobar 2.0-2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set (ENABLE_FAAD 0)
 set (BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin CACHE PATH "bin path")
 set (MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man CACHE PATH "man path")
-set (ETC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/etc CACHE PATH "etc path")
+
 # This removes a warning on newer versions of cmake
 if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
@@ -59,7 +59,6 @@
 
 include_directories (
 	${pianobar_SOURCE_DIR}/libpiano/src
-	${pianobar_SOURCE_DIR}/libwardrobe/src
 	${pianobar_SOURCE_DIR}/libwaitress/src
 	${CMAKE_CURRENT_BINARY_DIR}
 	${FAAD_INCLUDE_DIRS} ${LIBAO_INCLUDE_DIRS}
@@ -67,9 +66,8 @@
 
 add_executable (pianobar main.c terminal.c settings.c player.c ui.c ui_act.c
 	ui_readline.c)
-target_link_libraries (pianobar piano wardrobe waitress ${FAAD_LIBRARIES}
+target_link_libraries (pianobar piano waitress ${FAAD_LIBRARIES}
 	${LIBAO_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MAD_LIBRARIES} ${LIBM})
 
 install (TARGETS pianobar RUNTIME DESTINATION ${BIN_INSTALL_DIR})
 install (FILES pianobar.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
-install (FILES config DESTINATION ${ETC_INSTALL_DIR}/pianobar)

=== libpiano/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
         ${CMAKE_CURRENT_BINARY_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/../../libezxml/src)
 
-add_library (piano STATIC crypt.c http.c piano.c xml.c)
+add_library (piano STATIC crypt.c piano.c xml.c)
 target_link_libraries (piano waitress ezxml)

=== debian/changelog ===
pianobar (2.0-2) fremantle; urgency=low

  * Postinst was incorrect.  Fixed.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 22 Apr 2010 17:02:00 -0700

## pianobar 2.1-0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE pianobar)
project (${PACKAGE} C)

add_subdirectory (libpiano)
add_subdirectory (libwaitress)
add_subdirectory (libezxml)
add_subdirectory (src)

=== debian/changelog ===
pianobar (2.1-0) fremantle; urgency=low

  * Upgrade pianobar to version 3072c5a from upstream.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 22 Apr 2010 17:02:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
-Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0
+Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0, libao-dev
 Standards-Version: 3.7.2
 
 Package: pianobar
@@ -14,9 +14,9 @@
  (http://www.pandora.com).
  - play and manage (create, add more music, delete, rename, ...) your stations
  - rate played songs and let pandora explain why they have been selected
- - show upcoming songs
- - configure key bindings
- - last.fm scrobbling support (currently unmaintained)
+ - show upcoming songs/song history
+ - configure keybindings
+ - last.fm scrobbling support (external application)
  - proxy support for listeners outside the USA
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=42104
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	/usr/bin/cmake .
+	/usr/bin/cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr
 	touch configure-stamp

## pianobar 2010.10.07

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
MANDIR:=${PREFIX}/share/man
CFLAGS:=-Wall -g -std=c99 -pedantic

PIANOBAR_DIR=src
PIANOBAR_SRC=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c
PIANOBAR_HDR=\
		${PIANOBAR_DIR}/player.h \
		${PIANOBAR_DIR}/settings.h \
		${PIANOBAR_DIR}/terminal.h \
		${PIANOBAR_DIR}/ui_act.h \
		${PIANOBAR_DIR}/ui.h \
		${PIANOBAR_DIR}/ui_readline.h \
		${PIANOBAR_DIR}/main.h \
		${PIANOBAR_DIR}/config.h
PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR=libpiano/src
LIBPIANO_SRC=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/xml.c
LIBPIANO_HDR=\
		${LIBPIANO_DIR}/config.h \
		${LIBPIANO_DIR}/crypt_key_output.h \
		${LIBPIANO_DIR}/xml.h \
		${LIBPIANO_DIR}/crypt.h \
		${LIBPIANO_DIR}/piano.h \
		${LIBPIANO_DIR}/crypt_key_input.h \
		${LIBPIANO_DIR}/piano_private.h
LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE=${LIBPIANO_DIR}

LIBWAITRESS_DIR=libwaitress/src
LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
LIBWAITRESS_HDR=\
		${LIBWAITRESS_DIR}/config.h \
		${LIBWAITRESS_DIR}/waitress.h
LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}

LIBEZXML_SRC=libezxml/src/ezxml.c
LIBEZXML_HDR=libezxml/src/ezxml.h
LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
LIBEZXML_INCLUDE=libezxml/src

LIBAO_INCLUDE=/usr/include
LIBAO_LIB=-lao

LIBM_LIB=-lm

ifeq (${DISABLE_FAAD}, 1)
	LIBFAAD_INCLUDE=
	LIBFAAD_LIB=
	LIBFAAD_SWITCH=
else
	LIBFAAD_INCLUDE:=/usr/include
	LIBFAAD_LIB:=-lfaad
	LIBFAAD_SWITCH=-DENABLE_FAAD
endif

ifeq (${DISABLE_MAD}, 1)
	LIBMAD_INCLUDE=
	LIBMAD_LIB=
	LIBMAD_SWITCH=
else
	LIBMAD_INCLUDE:=/usr/include
	LIBMAD_LIB:=-lmad
	LIBMAD_SWITCH=-DENABLE_MAD
endif

PTHREAD_LIB=-pthread

# build pianobar
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
	${CC} ${CFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
			${LIBEZXML_OBJ} ${LIBAO_LIB} ${LIBFAAD_LIB} ${LIBMAD_LIB} \
			${PTHREAD_LIB} ${LIBM_LIB} -o $@

# build shared libpiano
libpiano: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR}
	${CC} -shared ${CFLAGS} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
			${LIBEZXML_RELOBJ} -o $@.so.0.0.0

%.o: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_SWITCH} ${LIBMAD_SWITCH} -c \
			-o $@ $<

# create position independent code (for shared libraries)
%.lo: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<

clean:
	${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} \
			${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ} pianobar \
			libpiano.so.0.0.0

all: pianobar libpiano

install: pianobar
	install -d ${DESTDIR}/${BINDIR}/
	install -m755 pianobar ${DESTDIR}/${BINDIR}/
	install -d ${DESTDIR}/${MANDIR}/man1/
	install -m644 src/pianobar.1 ${DESTDIR}/${MANDIR}/man1/

install-libpiano: libpiano
	install -d ${DESTDIR}/${LIBDIR}/
	install -m755 libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/

=== debian/changelog ===
pianobar (2010.10.07-1ubuntu0.3) maverick-proposed; urgency=low

  * Support new XMLRPC api (v31) (LP: #807860) 

 -- Luke Faraone <lfaraone@ubuntu.com>  Sat, 09 Jul 2011 10:53:27 -0400

pianobar (2010.10.07-1ubuntu0.2) maverick-proposed; urgency=low

  * Support new XMLRPC api (v30) (LP: #771804) 

 -- Luke Faraone <lfaraone@ubuntu.com>  Thu, 28 Apr 2011 18:32:01 -0400

pianobar (2010.10.07-1ubuntu0.1) maverick-proposed; urgency=low

  * Support new XMLRPC api (v29) (LP: #672258)

 -- Luke Faraone <lfaraone@ubuntu.com>  Sun, 07 Nov 2010 15:25:17 -0500

pianobar (2010.10.07-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v28) (closes: #599338)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 07 Oct 2010 09:15:49 -0400

pianobar (2010.08.21-1) unstable; urgency=low

  * Initial upstream release.
  * Remove code to recreate the upstream tarball, we're not packaging
    snapshots.
  * Update maintainer, unset DMUA.
  * Adapt packaging for upstream switch to Make from cmake
  * Change repository location of Debian packaging.
  * Bump standards version, no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 19 Sep 2010 15:39:17 -0400

pianobar (0+git20100420.3072c5a-1) unstable; urgency=low

  * New upstream snapshot
    - Show small hint about keybinding help at startup
    - Don't stop playback when showing station list

 -- Luke Faraone <luke@faraone.cc>  Thu, 22 Apr 2010 20:07:00 -0400

pianobar (0+git20100419.27ed89f-1) unstable; urgency=low

  * New upstream snapshot
    - libao 1.0.0 compatibility
    - Removed debugging stuff from eventcmd
    - Added hint about libao configuration to manpage
    - Fix coding style
    - New eventcmd example added (ruby)
    - piano: API version bump (v27)

 -- Luke Faraone <luke@faraone.cc>  Tue, 20 Apr 2010 09:32:03 -0400

pianobar (0+git20100406.ccd1d8e-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream snapshot
    - piano: New request/response api 
    - Use new libpiano api
    - Update example eventcmd script 

 -- Luke Faraone <luke@faraone.cc>  Tue, 06 Apr 2010 21:04:59 -0400

pianobar (0+git20100316.34ff325-1) unstable; urgency=low

  * New upstream snapshot
    - Use SHRT_MAX for short int  
    - waitress: Replaced callback magic numbers 
    - Fix player race condition 
    - Removed PACKAGE from ui strings 

 -- Luke Faraone <luke@faraone.cc>  Sat, 20 Mar 2010 09:00:04 -0400

pianobar (0+git20100306.29f877b-1) unstable; urgency=low

  * Fix omission in debian/copyright. 
  * New upstream version

 -- Luke Faraone <luke@faraone.cc>  Thu, 11 Mar 2010 13:29:50 -0500

pianobar (0+git20100222.6805c07-1) unstable; urgency=low

  * Initial release (Closes: #571676)

 -- Luke Faraone <luke@faraone.cc>  Fri, 26 Feb 2010 23:00:53 -0500

=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Luke Faraone <lfaraone@ubuntu.com>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
Homepage: http://6xq.net/html/00/17.html

Package: pianobar
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends},
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio 
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.

## pianobar 2010.11.06

=== Makefile ===
--- 
+++ 
@@ -101,6 +101,7 @@
 %.o: %.c
 	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_SWITCH} ${LIBMAD_SWITCH} -c \
+			-I ${LIBAO_INCLUDE} -I ${LIBFAAD_INCLUDE} -I ${LIBMAD_INCLUDE} \
 			-o $@ $<
 
 # create position independent code (for shared libraries)

=== debian/changelog ===
pianobar (2010.11.06-1+squeeze2) stable; urgency=low

  * XMLRPC api version bump (v31) (LP: #807860)
    - Add an empty field to a URL, no other API changes

 -- Luke Faraone <lfaraone@debian.org>  Sun, 10 Jul 2011 17:14:38 -0400

pianobar (2010.11.06-1+squeeze1) stable; urgency=low

  * XMLRPC api version bump (v30) (closes: #624326)
    - Include new API keys, no other API changes

 -- Luke Faraone <lfaraone@debian.org>  Wed, 27 Apr 2011 22:50:25 -0400

pianobar (2010.11.06-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v29)

 -- Luke Faraone <lfaraone@debian.org>  Sat, 06 Nov 2010 18:01:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@ubuntu.com>
+Maintainer: Luke Faraone <lfaraone@debian.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
+Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar-squeeze
 Homepage: http://6xq.net/html/00/17.html
 
 Package: pianobar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/pianobar

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
http://6xq.net/html/00/17.html ../../media/00/16/pianobar-(.*)\.tar\.bz2

## pianobar 2011.01.24

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BINDIR:=${PREFIX}/bin
 LIBDIR:=${PREFIX}/lib
 MANDIR:=${PREFIX}/share/man
-CFLAGS:=-Wall -g -std=c99 -pedantic
+CFLAGS:=-std=c99 -O2 -DNDEBUG
 
 PIANOBAR_DIR=src
 PIANOBAR_SRC=\
@@ -26,7 +26,7 @@
 		${PIANOBAR_DIR}/config.h
 PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}
 
-LIBPIANO_DIR=libpiano/src
+LIBPIANO_DIR=src/libpiano
 LIBPIANO_SRC=\
 		${LIBPIANO_DIR}/crypt.c \
 		${LIBPIANO_DIR}/piano.c \
@@ -43,7 +43,7 @@
 LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
 LIBPIANO_INCLUDE=${LIBPIANO_DIR}
 
-LIBWAITRESS_DIR=libwaitress/src
+LIBWAITRESS_DIR=src/libwaitress
 LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
 LIBWAITRESS_HDR=\
 		${LIBWAITRESS_DIR}/config.h \
@@ -52,11 +52,12 @@
 LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
 LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}
 
-LIBEZXML_SRC=libezxml/src/ezxml.c
-LIBEZXML_HDR=libezxml/src/ezxml.h
+LIBEZXML_DIR=src/libezxml
+LIBEZXML_SRC=${LIBEZXML_DIR}/ezxml.c
+LIBEZXML_HDR=${LIBEZXML_DIR}/ezxml.h
 LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
 LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
-LIBEZXML_INCLUDE=libezxml/src
+LIBEZXML_INCLUDE=${LIBEZXML_DIR}
 
 LIBAO_INCLUDE=/usr/include
 LIBAO_LIB=-lao
@@ -64,23 +65,23 @@
 LIBM_LIB=-lm
 
 ifeq (${DISABLE_FAAD}, 1)
-	LIBFAAD_INCLUDE=
-	LIBFAAD_LIB=
-	LIBFAAD_SWITCH=
+	LIBFAAD_CFLAGS=
+	LIBFAAD_LDFLAGS=
 else
 	LIBFAAD_INCLUDE:=/usr/include
 	LIBFAAD_LIB:=-lfaad
-	LIBFAAD_SWITCH=-DENABLE_FAAD
+	LIBFAAD_CFLAGS=-I ${LIBFAAD_INCLUDE} -DENABLE_FAAD
+	LIBFAAD_LDFLAGS=${LIBFAAD_LIB}
 endif
 
 ifeq (${DISABLE_MAD}, 1)
-	LIBMAD_INCLUDE=
-	LIBMAD_LIB=
-	LIBMAD_SWITCH=
+	LIBMAD_CFLAGS=
+	LIBMAD_LDFLAGS=
 else
 	LIBMAD_INCLUDE:=/usr/include
 	LIBMAD_LIB:=-lmad
-	LIBMAD_SWITCH=-DENABLE_MAD
+	LIBMAD_CFLAGS=-I ${LIBMAD_INCLUDE} -DENABLE_MAD
+	LIBMAD_LDFLAGS=${LIBMAD_LIB}
 endif
 
 PTHREAD_LIB=-pthread
@@ -89,7 +90,7 @@
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
 	${CC} ${CFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
-			${LIBEZXML_OBJ} ${LIBAO_LIB} ${LIBFAAD_LIB} ${LIBMAD_LIB} \
+			${LIBEZXML_OBJ} ${LIBAO_LIB} ${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} \
 			${PTHREAD_LIB} ${LIBM_LIB} -o $@
 
 # build shared libpiano
@@ -100,9 +101,8 @@
 
 %.o: %.c
 	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
-			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_SWITCH} ${LIBMAD_SWITCH} -c \
-			-I ${LIBAO_INCLUDE} -I ${LIBFAAD_INCLUDE} -I ${LIBMAD_INCLUDE} \
-			-o $@ $<
+			-I ${LIBEZXML_INCLUDE} -I ${LIBAO_INCLUDE} ${LIBFAAD_CFLAGS} \
+			${LIBMAD_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
@@ -116,11 +116,14 @@
 
 all: pianobar libpiano
 
+debug: pianobar
+debug: CFLAGS=-Wall -pedantic -std=c99 -ggdb
+
 install: pianobar
 	install -d ${DESTDIR}/${BINDIR}/
 	install -m755 pianobar ${DESTDIR}/${BINDIR}/
 	install -d ${DESTDIR}/${MANDIR}/man1/
-	install -m644 src/pianobar.1 ${DESTDIR}/${MANDIR}/man1/
+	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/
 
 install-libpiano: libpiano
 	install -d ${DESTDIR}/${LIBDIR}/

=== debian/changelog ===
pianobar (2011.01.24-1) unstable; urgency=low

  * New upstream version. 
  * Switch to DEP5 copyright.
  * Augment CFLAGS to use the c99 standard.
  * Don't install the now-removed AUTHORS file into docs.
  * Drop dep on cmake.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 08 Feb 2011 17:23:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Luke Faraone <lfaraone@debian.org>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar-squeeze
+Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
+Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html
 
 Package: pianobar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/pianobar 

CFLAGS += -std=c99

## pianobar 2011.09.22

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
INCDIR:=${PREFIX}/include
MANDIR:=${PREFIX}/share/man
DYNLINK:=0

# Respect environment variables set by user; does not work with :=
ifeq (${CFLAGS},)
	CFLAGS=-O2 -DNDEBUG
endif
ifeq (${CC},cc)
	CC=c99
endif

PIANOBAR_DIR=src
PIANOBAR_SRC=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c \
		${PIANOBAR_DIR}/ui_dispatch.c
PIANOBAR_HDR=\
		${PIANOBAR_DIR}/player.h \
		${PIANOBAR_DIR}/settings.h \
		${PIANOBAR_DIR}/terminal.h \
		${PIANOBAR_DIR}/ui_act.h \
		${PIANOBAR_DIR}/ui.h \
		${PIANOBAR_DIR}/ui_readline.h \
		${PIANOBAR_DIR}/main.h \
		${PIANOBAR_DIR}/config.h
PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR=src/libpiano
LIBPIANO_SRC=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/xml.c
LIBPIANO_HDR=\
		${LIBPIANO_DIR}/config.h \
		${LIBPIANO_DIR}/crypt_key_output.h \
		${LIBPIANO_DIR}/xml.h \
		${LIBPIANO_DIR}/crypt.h \
		${LIBPIANO_DIR}/piano.h \
		${LIBPIANO_DIR}/crypt_key_input.h \
		${LIBPIANO_DIR}/piano_private.h
LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE=${LIBPIANO_DIR}

LIBWAITRESS_DIR=src/libwaitress
LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
LIBWAITRESS_HDR=\
		${LIBWAITRESS_DIR}/config.h \
		${LIBWAITRESS_DIR}/waitress.h
LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}

LIBEZXML_DIR=src/libezxml
LIBEZXML_SRC=${LIBEZXML_DIR}/ezxml.c
LIBEZXML_HDR=${LIBEZXML_DIR}/ezxml.h
LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
LIBEZXML_INCLUDE=${LIBEZXML_DIR}

ifeq (${DISABLE_FAAD}, 1)
	LIBFAAD_CFLAGS=
	LIBFAAD_LDFLAGS=
else
	LIBFAAD_CFLAGS=-DENABLE_FAAD
	LIBFAAD_LDFLAGS=-lfaad
endif

ifeq (${DISABLE_MAD}, 1)
	LIBMAD_CFLAGS=
	LIBMAD_LDFLAGS=
else
	LIBMAD_CFLAGS=-DENABLE_MAD
	LIBMAD_LDFLAGS=-lmad
endif

# build pianobar
ifeq (${DYNLINK},1)
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
	${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS}
else
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
	${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
			${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} -lao -lpthread -lm \
			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} -o $@
endif

# build shared and static libpiano
libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} \
			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
	ln -s libpiano.so.0.0.0 libpiano.so.0
	ln -s libpiano.so.0 libpiano.so
	${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}

%.o: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_CFLAGS} \
			${LIBMAD_CFLAGS} -c -o $@ $<

# create position independent code (for shared libraries)
%.lo: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<

clean:
	${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
			${LIBEZXML_OBJ} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
			${LIBEZXML_RELOBJ} pianobar libpiano.so* libpiano.a waitress-test

all: pianobar

debug: pianobar
debug: CFLAGS=-Wall -pedantic -ggdb

waitress-test: CFLAGS+= -DTEST
waitress-test: ${LIBWAITRESS_OBJ}
	${CC} ${LDFLAGS} ${LIBWAITRESS_OBJ} -o waitress-test

test: waitress-test
	./waitress-test

ifeq (${DYNLINK},1)
install: pianobar install-libpiano
else
install: pianobar
endif
	install -d ${DESTDIR}/${BINDIR}/
	install -m755 pianobar ${DESTDIR}/${BINDIR}/
	install -d ${DESTDIR}/${MANDIR}/man1/
	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/

install-libpiano:
	install -d ${DESTDIR}/${LIBDIR}/
	install -m644 libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/
	ln -s libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/libpiano.so.0
	ln -s libpiano.so.0 ${DESTDIR}/${LIBDIR}/libpiano.so
	install -m644 libpiano.a ${DESTDIR}/${LIBDIR}/
	install -d ${DESTDIR}/${INCDIR}/
	install -m644 src/libpiano/piano.h ${DESTDIR}/${INCDIR}/

.PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2011.09.22-1) unstable; urgency=high

  * New upstream version 
    - XMLRPC api version compatibility (v32) (Closes: #642378)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 22 Sep 2011 10:08:38 -0400

pianobar (2011.07.09-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v31) (closes: #633345, LP: #807860)
  * Update debian/watch for new location.
  * Update symbols file.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 09 Jul 2011 10:03:03 -0400

pianobar (2011.04.27-1) unstable; urgency=low

  [ Romain Beauxis ]
  * Added libpianobar0 and libpianobar-dev packages.
  * Added myself as uploader.

  [ Luke Faraone ]
  * New upstream version.
  * Drop protocol30.patch, integrated upstream.
  * Bump date in copyright. 

 -- Luke Faraone <lfaraone@debian.org>  Sun, 01 May 2011 12:47:19 -0400

pianobar (2011.01.24-2) unstable; urgency=high

  * Add libaudio-scrobbler-perl to Suggests so optional last.fm support works
    if enabled by the user. (closes: #615078)
  * Cherrypick XMLRPC api version bump (v30). (closes: #624326)
  * Bump standards version, no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 27 Apr 2011 14:06:40 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: Luke Faraone <lfaraone@debian.org>
+Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev
-Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
-Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/pianobar
+Standards-Version: 3.9.2
+Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
+Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html
 
 Package: pianobar
 Architecture: any
 Depends: ${shlibs:Depends},  ${misc:Depends},
+Suggests: libaudio-scrobbler-perl
 Description: console based player for Pandora radio
  pianobar is a cross-platform console client for the personalized web radio 
  Pandora, supporting all important features the official Flash™ client has:
@@ -27,3 +29,50 @@
  You need an account in order to use this player, so please consider
  create one for free before using pianobar at http://pandora.com. 
 
+Package: libpiano0
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},  ${misc:Depends},
+Description: library to interface with Pandora radio -- runtime files
+ libpiano is a cross-platform library to interface with the personalized 
+ web radio Pandora, supporting all important features the official Flash™ 
+ client has:
+ .
+    * Create, delete, rename stations and add more music
+    * Rate and temporary ban tracks as well as move them to another station
+    * “Shared stations”
+ .
+ and some that it does not have (yet):
+ .
+    * last.fm scrobbling
+    * Proxy support for use in areas not supported by Pandora (outside the USA)
+ .
+ You need an account in order to use this player, so please consider
+ create one for free before using pianobar at http://pandora.com.
+ . 
+ This package provides the runtime files used to run application
+ built against libpiano.
+
+Package: libpiano-dev
+Architecture: any
+Section: libdevel
+Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
+Description: library to interface with Pandora radio -- development
+ libpiano is a cross-platform library to interface with the personalized 
+ web radio Pandora, supporting all important features the official Flash™ 
+ client has:
+ .
+    * Create, delete, rename stations and add more music
+    * Rate and temporary ban tracks as well as move them to another station
+    * “Shared stations”
+ .
+ and some that it does not have (yet):
+ .
+    * last.fm scrobbling
+    * Proxy support for use in areas not supported by Pandora (outside the USA)
+ .
+ You need an account in order to use this player, so please consider
+ create one for free before using pianobar at http://pandora.com.
+ .
+ This package provides the development files used to build application
+ using libpiano.
